Learning Units
Alle Operationen rund um Learning Units.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Learning Unit | learning_unit |
49 | — | learning_unit_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/learning_units |
Create learning_unit | Create a new learning_unit in the active tenant. |
DELETE |
/v1/learning_units/{id} |
Delete learning_unit | Soft delete entity. |
GET |
/v1/learning_units/{id} |
Get learning_unit by id | Fetch a single learning_unit. |
GET |
/v1/learning_units/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/learning_units/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/learning_units/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/learning_units |
List learning_units | List learning_units for the active tenant. |
PATCH |
/v1/learning_units/{id} |
Patch learning_unit | JSON Merge Patch update. |
POST |
/v1/learning_units/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/learning_units/{id}/transition |
POST /v1/learning_units/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/learning_units/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/learning_units/{id} |
Replace learning_unit | Full replace with optimistic locking. |